CVE-2023-51699

CVSS 3.1 Score 4.0 of 10 (medium)

Details

Published Mar 15, 2024
Updated: Mar 17, 2024
CWE ID 78

Summary

CVE-2023-51699 is an OS command injection vulnerability in the Fluid project's JuicefsRuntime, which is an open source Kubernetes-native Distributed Dataset Orchestrator and Accelerator. This vulnerability allows an authenticated user with the authority to create or update the K8s CRD Dataset/JuicefsRuntime to execute arbitrary OS commands within the juicefs related containers. The vulnerability affects versions of Fluid prior to 0.9.3 with JuicefsRuntime. If exploited, this could lead to unauthorized access, modification, or deletion of data. It is recommended that users upgrade to version 0.9.3 to remediate the vulnerability and mitigate potential risks.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-51699 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options